Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QANuENuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QANuENuclearCrossSection.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QANuENuclearCrossSection.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QANuENuclearCrossSection.cc,v 1.1 2009/11/16 18:15:43 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QANuMuNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QANuMuNuclearCrossSection.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QANuMuNuclearCrossSection.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QANuMuNuclearCrossSection.cc,v 1.1 2009/11/16 18:15:43 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QAntiBaryonNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QAntiBaryonNuclearCrossSection.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QAntiBaryonNuclearCrossSection.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // The lust update: M.V. Kossov, CERN/ITEP(Moscow) 17-June-02
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QAntiBaryonPlusNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QAntiBaryonPlusNuclearCrossSection.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QAntiBaryonPlusNuclearCrossSection.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // The lust update: M.V. Kossov, CERN/ITEP(Moscow) 17-June-02
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QDiffractionRatio.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QDiffractionRatio.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QDiffractionRatio.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QDiffractionRatio.cc,v 1.1 2009/11/16 18:15:43 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QElasticCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QElasticCrossSection.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QElasticCrossSection.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QElasticCrossSection.cc,v 1.1 2009/11/16 18:15:43 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QElectronNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QElectronNuclearCrossSection.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QElectronNuclearCrossSection.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QElectronNuclearCrossSection.cc,v 1.1 2009/11/16 18:15:43 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QHyperonNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QHyperonNuclearCrossSection.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QHyperonNuclearCrossSection.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // The lust update: M.V. Kossov, CERN/ITEP(Moscow) 17-June-02
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QHyperonPlusNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QHyperonPlusNuclearCrossSection.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QHyperonPlusNuclearCrossSection.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // The lust update: M.V. Kossov, CERN/ITEP(Moscow) 17-June-02
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QIonIonCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QIonIonCrossSection.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QIonIonCrossSection.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // The lust update: M.V. Kossov, CERN/ITEP(Moscow) 19-Aug-07
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QKaonMinusNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QKaonMinusNuclearCrossSection.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QKaonMinusNuclearCrossSection.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // The lust update: M.V. Kossov, CERN/ITEP(Moscow) 17-June-02
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QKaonPlusNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QKaonPlusNuclearCrossSection.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QKaonPlusNuclearCrossSection.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // The lust update: M.V. Kossov, CERN/ITEP(Moscow) 17-June-02
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QKaonZeroNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QKaonZeroNuclearCrossSection.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QKaonZeroNuclearCrossSection.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // The lust update: M.V. Kossov, CERN/ITEP(Moscow) 17-June-02
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QMuonNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QMuonNuclearCrossSection.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QMuonNuclearCrossSection.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QMuonNuclearCrossSection.cc,v 1.1 2009/11/16 18:15:43 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QNeutronCaptureRatio.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QNeutronCaptureRatio.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QNeutronCaptureRatio.cc	(revision 1228)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4QNeutronCaptureRatio.cc,v 1.1 2009/11/16 18:15:43 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: G4QNeutronCaptureRatio.cc,v 1.2 2009/12/07 10:32:06 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
@@ -476,5 +476,5 @@
   static const G4double pZ29N36[5]={.036, 15., .003, .0001, .013};
   static const std::pair<G4int, const G4double*> Z29N36=std::make_pair(36,pZ29N36);
-  static const std::pair<G4int, const G4double*> Z29[N29]={Z29N34, Z29N34};
+  static const std::pair<G4int, const G4double*> Z29[N29]={Z29N34, Z29N36};
   //==> Zn(Z=30)
   static const G4int N30=5;
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QNeutronNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QNeutronNuclearCrossSection.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QNeutronNuclearCrossSection.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // The lust update: M.V. Kossov, CERN/ITEP(Moscow) 17-May-09
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QNuENuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QNuENuclearCrossSection.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QNuENuclearCrossSection.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QNuENuclearCrossSection.cc,v 1.1 2009/11/16 18:15:43 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QNuMuNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QNuMuNuclearCrossSection.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QNuMuNuclearCrossSection.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QNuMuNuclearCrossSection.cc,v 1.1 2009/11/16 18:15:43 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QNuNuNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QNuNuNuclearCrossSection.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QNuNuNuclearCrossSection.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QNuNuNuclearCrossSection.cc,v 1.1 2009/11/16 18:15:43 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QPhotonNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QPhotonNuclearCrossSection.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QPhotonNuclearCrossSection.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // The lust update: M.V. Kossov, CERN/ITEP(Moscow) 17-June-02
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QPionMinusNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QPionMinusNuclearCrossSection.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QPionMinusNuclearCrossSection.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // The lust update: M.V. Kossov, CERN/ITEP(Moscow) 17-June-02
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QPionPlusNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QPionPlusNuclearCrossSection.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QPionPlusNuclearCrossSection.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // The lust update: M.V. Kossov, CERN/ITEP(Moscow) 17-June-02
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QProtonNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QProtonNuclearCrossSection.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QProtonNuclearCrossSection.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // The lust update: M.V. Kossov, CERN/ITEP(Moscow) 17-June-02
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QTauNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QTauNuclearCrossSection.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QTauNuclearCrossSection.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QTauNuclearCrossSection.cc,v 1.1 2009/11/16 18:15:43 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QuasiFreeRatios.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QuasiFreeRatios.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4QuasiFreeRatios.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QuasiFreeRatios.cc,v 1.1 2009/11/16 18:15:43 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4VQCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4VQCrossSection.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/src/G4VQCrossSection.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VQCrossSection.cc,v 1.1 2009/11/16 18:15:43 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/fragmentation/History
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/fragmentation/History	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/fragmentation/History	(revision 1228)
@@ -17,4 +17,8 @@
      -----------------------------------------------------------------
 
+1-Dec-2009 M.Kosov                             (hadr-chips-V09-02-29)
+-----------------------------------------------------------------------
+Mutual tag: Compilation warning fix in G4QFragmentation and G4QIonIonCollision
+
 17-Nov-2009 M.Kosov                            (hadr-chips-V09-02-24)
 -----------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/fragmentation/include/G4QFragmentation.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/fragmentation/include/G4QFragmentation.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/fragmentation/include/G4QFragmentation.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QFragmentation.hh,v 1.1 2009/11/16 18:16:04 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -----------------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/fragmentation/include/G4QIonIonCollision.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/fragmentation/include/G4QIonIonCollision.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/fragmentation/include/G4QIonIonCollision.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QIonIonCollision.hh,v 1.1 2009/11/16 18:16:04 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -----------------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/fragmentation/src/G4QFragmentation.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/fragmentation/src/G4QFragmentation.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/fragmentation/src/G4QFragmentation.cc	(revision 1228)
@@ -16,5 +16,5 @@
 // * for the full disclaimer and the limitation of liability.         *
 // *                                                                  *
-// * This  code  implementation is the result of  the  scientific 2and *
+// * This  code  implementation is the result of  the  scientific and *
 // * technical work of the GEANT4 collaboration.                      *
 // * By using,  copying,  modifying or  distributing the software (or *
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4QFragmentation.cc,v 1.1 2009/11/16 18:16:04 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: G4QFragmentation.cc,v 1.6 2009/12/16 17:51:03 gunter Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -----------------------------------------------------------------------------
@@ -53,9 +53,9 @@
 
 // Definition of static parameters
-G4int    G4QFragmentation::nCutMax=7; 
-G4double G4QFragmentation::stringTension=1.*GeV/fermi;
-G4double G4QFragmentation::tubeDensity  =1./fermi;
-// Parameters of diffractional fragmentation
-G4double G4QFragmentation::widthOfPtSquare=-0.72*GeV*GeV; // pt -width2 forStringExcitation
+G4int    G4QFragmentation::nCutMax=7;
+G4double G4QFragmentation::stringTension=1.5*GeV/fermi;
+G4double G4QFragmentation::tubeDensity  =1.5/fermi;
+// Parameters of diffractional fragmentation (was .72*)
+G4double G4QFragmentation::widthOfPtSquare=-GeV*GeV;// pt -width2 forStringExcitation
 
 G4QFragmentation::G4QFragmentation(const G4QNucleus &aNucleus, const G4QHadron &aPrimary)
@@ -551,11 +551,11 @@
   // >>>>>>>> make soft collisions (ordering is vital)
   //
-  G4QInteractionVector::iterator i;
+  G4QInteractionVector::iterator it;
 #ifdef debug
   G4cout<<"G4QFragmentation::Construct: Creation ofSoftCollisionPartonPair STARTS"<<G4endl;
 #endif
-  for(i = theInteractions.begin(); i != theInteractions.end(); i++)   
-  {
-    G4QInteraction* anIniteraction = *i;
+  for(it = theInteractions.begin(); it != theInteractions.end(); ++it)   
+  {
+    G4QInteraction* anIniteraction = *it;
     G4QPartonPair*  aPair=0;
     G4int nSoftCollisions = anIniteraction->GetNumberOfSoftCollisions();
@@ -581,7 +581,7 @@
 #endif
       }  
-      delete *i;
-      i=theInteractions.erase(i);       // Soft interactions are converted & erased
-      i--;
+      delete *it;
+      it=theInteractions.erase(it);      // Soft interactions are converted & erased
+      it--;
     }
   }
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/fragmentation/src/G4QIonIonCollision.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/fragmentation/src/G4QIonIonCollision.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/fragmentation/src/G4QIonIonCollision.cc	(revision 1228)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4QIonIonCollision.cc,v 1.1 2009/11/16 18:16:04 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: G4QIonIonCollision.cc,v 1.2 2009/12/01 09:24:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -----------------------------------------------------------------------------
@@ -454,11 +454,11 @@
   // >>>>>>>> make soft collisions (ordering is vital)
   //
-  G4QInteractionVector::iterator i;
+  G4QInteractionVector::iterator it;
 #ifdef debug
   G4cout<<"G4QIonIonCollision::Constr: Creation ofSoftCollisionPartonPair STARTS"<<G4endl;
 #endif
-  for(i = theInteractions.begin(); i != theInteractions.end(); i++)   
-  {
-    G4QInteraction* anIniteraction = *i;
+  for(it = theInteractions.begin(); it != theInteractions.end(); ++it)   
+  {
+    G4QInteraction* anIniteraction = *it;
     G4QPartonPair*  aPair=0;
     G4int nSoftCollisions = anIniteraction->GetNumberOfSoftCollisions();
@@ -484,7 +484,7 @@
 #endif
       }  
-      delete *i;
-      i=theInteractions.erase(i);                   // SoftInteractions're converted&erased
-      i--;
+      delete *it;
+      it=theInteractions.erase(it);                 // SoftInteractions're converted&erased
+      it--;
     }
   }
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4ElectroNuclearReaction.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4ElectroNuclearReaction.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4ElectroNuclearReaction.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4ElectroNuclearReaction.hh,v 1.27 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // GEANT4 physics class: G4ElectroNuclearReaction -- header file for CHIPS
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4GammaNuclearReaction.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4GammaNuclearReaction.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4GammaNuclearReaction.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4GammaNuclearReaction.hh,v 1.15 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QHadronInelasticDataSet.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QHadronInelasticDataSet.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/include/G4QHadronInelasticDataSet.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QHadronInelasticDataSet.hh,v 1.1 2009/11/20 10:08:36 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // GEANT4 physics class: G4QHadronInelasticDataSet -- header file
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QHadronInelasticDataSet.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QHadronInelasticDataSet.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QHadronInelasticDataSet.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QHadronInelasticDataSet.cc,v 1.1 2009/11/20 10:08:36 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // GEANT4 physics class: G4QHadronInelasticDataSet -- header file
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QStringChipsParticleLevelInterface.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QStringChipsParticleLevelInterface.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QStringChipsParticleLevelInterface.cc	(revision 1228)
@@ -23,4 +23,5 @@
 // * acceptance of all terms of the Geant4 Software license.          *
 // ********************************************************************
+//
 // Short description: Interface of QGSC to CHIPS (EnergyFlow) 
 // ----------------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4StringChipsParticleLevelInterface.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4StringChipsParticleLevelInterface.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4StringChipsParticleLevelInterface.cc	(revision 1228)
@@ -23,4 +23,5 @@
 // * acceptance of all terms of the Geant4 Software license.          *
 // ********************************************************************
+//
 // Short description: Interface of QGSC to CHIPS (SoftHadrons) 
 // ----------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/include/G4QAtomicElectronScattering.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/include/G4QAtomicElectronScattering.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/include/G4QAtomicElectronScattering.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QAtomicElectronScattering.hh,v 1.1 2009/11/17 10:36:54 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QAtomicElectronScattering header ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/include/G4QCaptureAtRest.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/include/G4QCaptureAtRest.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/include/G4QCaptureAtRest.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QCaptureAtRest.hh,v 1.1 2009/11/17 10:36:54 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QCaptureAtRest header ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/include/G4QCoherentChargeExchange.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/include/G4QCoherentChargeExchange.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/include/G4QCoherentChargeExchange.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QCoherentChargeExchange.hh,v 1.1 2009/11/17 10:36:54 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QCoherentChargeExchange header ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/include/G4QDiffraction.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/include/G4QDiffraction.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/include/G4QDiffraction.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QDiffraction.hh,v 1.1 2009/11/17 10:36:54 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QDiffraction header ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/include/G4QDiscProcessMixer.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/include/G4QDiscProcessMixer.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/include/G4QDiscProcessMixer.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QDiscProcessMixer.hh,v 1.1 2009/11/17 10:36:54 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QDiscProcessMixer header ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/include/G4QDiscreteProcessVector.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/include/G4QDiscreteProcessVector.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/processes/include/G4QDiscreteProcessVector.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QDiscreteProcessVector.hh,v 1.1 2009/11/17 10:36:54 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //      ---------------- G4QDiscreteProcessVector ----------------
